﻿
using System;
using MindFusion.Scheduling;
using MindFusion.Scheduling.Wpf;
using System.Windows.Media;


namespace CustomTimetableGrid
{
	[ItemPresenter(typeof(CustomItemPresenter))]
	public class CustomItem : Appointment
	{
		public CustomItem()
		{
		}

		public Color Auth
		{
			get { return auth; }
			set
			{
				auth = value;
				NotifyPropertyChanged("Auth");
				OnChanged();
			}
		}

		public bool Checked
		{
			get;
			set;
		}

		public bool Recur
		{
			get;
			set;
		}

		public bool Delay
		{
			get;
			set;
		}

		public string Site
		{
			get;
			set;
		}

		public string Patient
		{
			get;
			set;
		}

		public string Drug
		{
			get;
			set;
		}

		public int Qty
		{
			get;
			set;
		}

		public DataType Type
		{
			get;
			set;
		}

		public DataStatus Status
		{
			get;
			set;
		}

		public bool HasAttachment
		{
			get;
			set;
		}

		public bool HasPrescription
		{
			get;
			set;
		}


		private Color auth;
	}

	public enum DataType
	{
		ChangeRx,
		Refill,
		New,
		Extend,
		ChangeSch,
	}

	public enum DataStatus
	{
		Confirmed,
		Rescheduled,
		Cancelled,
	}
}
